
/***        zutat table        ***/

CREATE TABLE ZUTAT(
    ZUTATENNR        INTEGER NOT NULL,
    BEZEICHNUNG      VARCHAR(50),
    EINHEIT          VARCHAR (25),
    NETTOPREIS       DECIMAL(10,2),
    BESTAND          INTEGER,
    LIEFERANT        INTEGER NOT NULL,
    KALORIEN         INTEGER,
    KOHLENHYDRATE    DECIMAL (10,2),
    PROTEIN          DECIMAL(10,2)
);

-- primary keys

ALTER TABLE ZUTAT ADD PRIMARY KEY (ZUTATENNR);

-- foreign keys

ALTER TABLE ZUTAT ADD FOREIGN KEY (LIEFERANT) REFERENCES LIEFERANT (LIEFERANTENNR);
